Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.bibledesktop.book.Msg

    final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `ADVANCED_SELECT_TITLE`
`(package private) static Msg` | `ADVANCED_TITLE`
`(package private) static Msg` | `BAD_VERSE`
`(package private) static Msg` | `BOOKS`
`(package private) static Msg` | `CHOOSER_CANCEL`
`(package private) static Msg` | `CHOOSER_OK`
`(package private) static Msg` | `CHOOSER_TITLE`
`(package private) static Msg` | `CLEAR`
`(package private) static Msg` | `EMPTY_FILE`
`(package private) static Msg` | `ERROR`
`(package private) static Msg` | `HELP_TEXT`
`(package private) static Msg` | `HELP_TITLE`
`(package private) static Msg` | `HITS`
`(package private) static Msg` | `NO_HITS`
`(package private) static Msg` | `NO_INSTALLED_BIBLE`
`(package private) static Msg` | `NONE`
`(package private) static Msg` | `PARTIAL_HITS`
`(package private) static Msg` | `PRESETS`
`(package private) static Msg` | `RANK`
`(package private) static Msg` | `RANK_ONE`
`(package private) static Msg` | `SELECT_BOOK`
`(package private) static Msg` | `SELECT_CHAPTER`
`(package private) static Msg` | `SELECT_PASSAGE_TITLE`
`(package private) static Msg` | `SELECT_VERSE`
`(package private) static Msg` | `SUMMARY`
`(package private) static Msg` | `UNTITLED`
`(package private) static Msg` | `VERSE_LIST_DESC`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_FILE

    static final Msg EMPTY_FILE

### VERSE_LIST_DESC

    static final Msg VERSE_LIST_DESC

### BOOKS

    static final Msg BOOKS

### SELECT_BOOK

    static final Msg SELECT_BOOK

### SELECT_CHAPTER

    static final Msg SELECT_CHAPTER

### SELECT_VERSE

    static final Msg SELECT_VERSE

### NONE

    static final Msg NONE

### CHOOSER_CANCEL

    static final Msg CHOOSER_CANCEL

### CHOOSER_OK

    static final Msg CHOOSER_OK

### CHOOSER_TITLE

    static final Msg CHOOSER_TITLE

### BAD_VERSE

    static final Msg BAD_VERSE

### NO_INSTALLED_BIBLE

    static final Msg NO_INSTALLED_BIBLE

### SELECT_PASSAGE_TITLE

    static final Msg SELECT_PASSAGE_TITLE

### CLEAR

    static final Msg CLEAR

### UNTITLED

    static final Msg UNTITLED

### NO_HITS

    static final Msg NO_HITS

### HITS

    static final Msg HITS

### PARTIAL_HITS

    static final Msg PARTIAL_HITS

### ADVANCED_TITLE

    static final Msg ADVANCED_TITLE

### HELP_TEXT

    static final Msg HELP_TEXT

### HELP_TITLE

    static final Msg HELP_TITLE

### ERROR

    static final Msg ERROR

### SUMMARY

    static final Msg SUMMARY

### PRESETS

    static final Msg PRESETS

### ADVANCED_SELECT_TITLE

    static final Msg ADVANCED_SELECT_TITLE

### RANK

    static final Msg RANK

### RANK_ONE

    static final Msg RANK_ONE

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD